<?php
/**
 * @package TimePlan.Me
 * @version 1.0
 */
/*
Plugin Name: TimePlan.Me, popup
Plugin URI: https://wordpress.org/plugins/timeplanme/
Description: After registration on site http://timeplan.me you can add popup window with timetable on your site. Calendar, busy time mark, online time booking, appointments making.
Author: Pavel Samoylenko
Version: 1.0
Author URI: http://timeplan.me/about/project
License: GPL2
*/
function add_timeplanme_scripts(){
	  wp_enqueue_script( 'script_timeplanme', 'https://timeplan.me/js/timeplanme_integration.min.js' );	
}
add_action('wp_enqueue_scripts', 'add_timeplanme_scripts' );
function enqueue_button_plugin_scripts($plugin_array)
{
    $plugin_array["timeplanme_button_plugin"] =  plugin_dir_url(__FILE__) . "button.js";
    return $plugin_array;
}
add_filter("mce_external_plugins", "enqueue_button_plugin_scripts");
function register_timeplanme_button_editor($buttons)
{
    array_push($buttons, "timeplanme");
    return $buttons;
}
add_filter("mce_buttons", "register_timeplanme_button_editor");
/*
 Just add a hyperlink: <a href="http://timeplan.me/test" class="openTimePlanMePopup" data-title="New record creation">Create new appointment</a>
   Parameters:
     data-title - Title of popup window. Default: "New record"
     data-height - Min height. Default: 800
     data-weight - Min weight. Default: 800
     data-hidemap - Hide google map on the page. Default: false
     data-hideservices - Hide services' list. Default: false
     data-hidepresentation - Hide addition information. Default: false
     data-hidename - Hide company name in the header. Default: false<br />
     data-hidecontacts - Hide contacti information (address and phone number). Default: false<br />
     data-hideall - Hide all, instead calendar. Default: false<br />
     data-showmenu - Show top menu. Default: false;

   Параметры:
     data-title - Заголовок окна. По умолчанию: "New record"
     data-height - Высота окна, в пикселях. По умолчанию: 800
     data-weight - Ширина окна, в пикселях. По умолчанию: 800
     data-hidemap - Скрыть карту. По умолчанию: false
     data-hideservices - Скрыть список сервисов. По умолчанию: false
     data-hidepresentation - Скрыть презентацию. По умолчанию: false
     data-hidename - Скрыть название компании. По умолчанию: false<br />
     data-hidecontacts - Скрыть контакты (адрес и телефон). По умолчанию: false<br />
     data-hideall - Скрыть всё вышеперечисленное. По умолчанию: false<br />
     data-showmenu - Отобразить главное меню. По умолчанию: false;

*/
?>