(function() {
    tinymce.create("tinymce.plugins.timeplanme_button_plugin", {

        //url argument holds the absolute url of our plugin directory
        init : function(ed, url) {

            //add new button
            ed.addButton("timeplanme", {
                title : "Add TimePlan.Me popup",
                cmd : "timeplanme_command",
                image : "https://timeplan.me/img/calendar-clock.png"
            });

            //button functionality.
            ed.addCommand("timeplanme_command", function() {
                var selected_text = ed.selection.getContent();
                if (selected_text == "") {
                    selected_text = "Choose a time";
                }
                var return_text = "<a href='https://timeplan.me/test' data-title='Create new record' class='openTimePlanMePopup'>" + selected_text + "</a>";
                return_text += "<!-- You can use parameters like in this comment <a href='https://timeplan.me/test' data-title='New record' class='openTimePlanMePopup' data-height='800' data-weight='800' data-hidemap='true' data-hideservices='true' data-hidepresentation='true' data-hidename='true' data-hidecontacts='true' data-showmenu='false'>Create new appointment</a> -->";
                ed.execCommand("mceInsertContent", 0, return_text);
            });

        },

        createControl : function(n, cm) {
            return null;
        },

        getInfo : function() {
            return {
                longname : "TimePlan.me popup button",
                author : "Pavel Samoylenko",
                version : "1"
            };
        }
    });

    tinymce.PluginManager.add("timeplanme_button_plugin", tinymce.plugins.timeplanme_button_plugin);
})();